[**@rxap/firebase v19.0.4-dev.0**](../README.md)

***

[@rxap/firebase](../globals.md) / RxapFirebaseMessagingService

# Class: RxapFirebaseMessagingService

Defined in: [firebase-messaging.service.ts:25](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L25)

## Constructors

### new RxapFirebaseMessagingService()

> **new RxapFirebaseMessagingService**(`messaging`, `requestPermissionImminently`): [`RxapFirebaseMessagingService`](RxapFirebaseMessagingService.md)

Defined in: [firebase-messaging.service.ts:28](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L28)

#### Parameters

##### messaging

`AngularFireMessaging`

##### requestPermissionImminently

`boolean` = `false`

#### Returns

[`RxapFirebaseMessagingService`](RxapFirebaseMessagingService.md)

## Properties

### messaging

> `readonly` **messaging**: `AngularFireMessaging`

Defined in: [firebase-messaging.service.ts:30](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L30)

***

### requestPermissionImminently

> `readonly` **requestPermissionImminently**: `boolean` = `false`

Defined in: [firebase-messaging.service.ts:33](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L33)

***

### token$

> **token$**: `ReplaySubject`\<`null` \| `string`\>

Defined in: [firebase-messaging.service.ts:26](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L26)

## Methods

### requestPermission()

> **requestPermission**(): `void`

Defined in: [firebase-messaging.service.ts:50](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L50)

#### Returns

`void`

***

### showNotification()

> **showNotification**(`title`, `body`): `void`

Defined in: [firebase-messaging.service.ts:63](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-messaging.service.ts#L63)

#### Parameters

##### title

`string`

##### body

`string`

#### Returns

`void`
